Bug 1748655 (CVE-2019-11744) - CVE-2019-11744 Mozilla: XSS by breaking out of title and textarea elements using innerHTML
Summary: CVE-2019-11744 Mozilla: XSS by breaking out of title and textarea elements us...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11744
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1745830 1745828 1745829 1745831 1745832 1748670 1749598 1749599 1749601
Blocks: 1745825
TreeView+ depends on / blocked
 
Reported: 2019-09-04 00:41 UTC by Doran Moppert
Modified: 2019-09-19 06:25 UTC (History)
5 users (show)

Fixed In Version: firefox 60.9, firefox 68.1, thunderbird 60.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 01:07:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2663 None None None 2019-09-04 20:12:29 UTC
Red Hat Product Errata RHSA-2019:2694 None None None 2019-09-10 09:12:57 UTC
Red Hat Product Errata RHSA-2019:2729 None None None 2019-09-11 09:57:00 UTC
Red Hat Product Errata RHSA-2019:2773 None None None 2019-09-19 03:39:02 UTC
Red Hat Product Errata RHSA-2019:2774 None None None 2019-09-16 14:22:23 UTC
Red Hat Product Errata RHSA-2019:2807 None None None 2019-09-19 06:25:16 UTC

Description Doran Moppert 2019-09-04 00:41:18 UTC
Some HTML elements, such as `<title>` and `<textarea>`, can contain literal angle brackets without treating them as markup. It is possible to pass a literal closing tag to `.innerHTML` on these elements, and subsequent content after that will be parsed as if it were outside the tag. This can lead to XSS if a site does not filter user input as strictly for these elements as it does for other elements.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-27/#CVE-2019-11744

Comment 1 Doran Moppert 2019-09-04 00:41:21 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Rakesh Mane

Comment 3 errata-xmlrpc 2019-09-04 20:12:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2663 https://access.redhat.com/errata/RHSA-2019:2663

Comment 4 Product Security DevOps Team 2019-09-05 01:07:25 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11744

Comment 5 errata-xmlrpc 2019-09-10 09:12:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2694 https://access.redhat.com/errata/RHSA-2019:2694

Comment 6 errata-xmlrpc 2019-09-11 09:56:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2729 https://access.redhat.com/errata/RHSA-2019:2729

Comment 7 Doran Moppert 2019-09-16 08:31:34 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it may present a risk in browser-like contexts.

Comment 8 errata-xmlrpc 2019-09-16 14:22:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2774 https://access.redhat.com/errata/RHSA-2019:2774

Comment 9 errata-xmlrpc 2019-09-19 03:39:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2773 https://access.redhat.com/errata/RHSA-2019:2773

Comment 10 errata-xmlrpc 2019-09-19 06:25:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2807 https://access.redhat.com/errata/RHSA-2019:2807


Note You need to log in before you can comment on or make changes to this bug.